Package org.silverpeas.components.community.model

# Class MembersGroupRemovalFromRoleListener

java.lang.Object
org.silverpeas.core.notification.system.CDIResourceEventListener<org.silverpeas.core.admin.space.notification.SpaceProfileInstEvent>
org.silverpeas.components.community.model.MembersGroupRemovalFromRoleListener

All Implemented Interfaces:
  `org.silverpeas.core.notification.system.ResourceEventListener<org.silverpeas.core.admin.space.notification.SpaceProfileInstEvent>`

@Technical @Bean public class MembersGroupRemovalFromRoleListener extends org.silverpeas.core.notification.system.CDIResourceEventListener<org.silverpeas.core.admin.space.notification.SpaceProfileInstEvent>
A listener of events about the removing of a group of users from a space role profile. The goal is to detect any attempts to remove a group of community members from its community in order to restore it automatically. It is a workaround until such removal becomes impossible in Silverpeas Core. The group of members is put by default in the reader role of a community space and hence the check is done for any update of this role for a community. Thus, any other roles aren't considered even if the group of members has been added/removed in those roles.

Author:
  mmoquillon

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.notification.system.CDIResourceEventListener

  `logger`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MembersGroupRemovalFromRoleListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onUpdate(org.silverpeas.core.admin.space.notification.SpaceProfileInstEvent event)`

  ### Methods inherited from class org.silverpeas.core.notification.system.CDIResourceEventListener

  `onEvent`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.notification.system.ResourceEventListener

  `dispatchEvent, isEnabled, onCreation, onDeletion, onMove, onRecovery, onRemoving, onUnlock`

- ## Constructor Details

  - ### MembersGroupRemovalFromRoleListener

    public MembersGroupRemovalFromRoleListener()

- ## Method Details

  - ### onUpdate

    public void onUpdate(org.silverpeas.core.admin.space.notification.SpaceProfileInstEvent event)